Skip to main content
GET
https://api.grainledger.com
/
api
/
v1
/
transactions
List transactions
curl --request GET \
  --url https://api.grainledger.com/api/v1/transactions \
  --header 'Authorization: Bearer <token>' \
  --header 'X-Organization-Id: <x-organization-id>'
const options = {
  method: 'GET',
  headers: {'X-Organization-Id': '<x-organization-id>', Authorization: 'Bearer <token>'}
};

fetch('https://api.grainledger.com/api/v1/transactions', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
import requests

url = "https://api.grainledger.com/api/v1/transactions"

headers = {
    "X-Organization-Id": "<x-organization-id>",
    "Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers)

print(response.text)
{
  "transactions": [
    {
      "id": "cm111aaa222bbb",
      "description": "Weekly offering deposit",
      "amount": 4250,
      "date": "2026-07-01T00:00:00.000Z",
      "transactionType": "DEPOSIT",
      "isReconciled": false
    }
  ],
  "pagination": {
    "page": 1,
    "limit": 20,
    "total": 58,
    "totalPages": 3
  }
}
{
  "message": "You do not have access to this organization."
}
{
  "message": "You do not have access to this organization."
}
{
  "message": "You do not have access to this organization."
}
{
  "message": "You do not have access to this organization."
}
{
  "message": "You do not have access to this organization."
}
{
  "message": "You do not have access to this organization."
}
{
  "message": "You do not have access to this organization."
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

X-Organization-Id
string
required

Organization ID for multi-tenant data access

Query Parameters

page
integer
default:1

Page number (1-based)

Required range: x >= 1
limit
integer
default:20

Records per page

Required range: 1 <= x <= 1000
transactionType
enum<string>
Available options:
DEPOSIT,
WITHDRAWAL,
TRANSFER,
ADJUSTMENT
dateFrom
string<date>
dateTo
string<date>
isReconciled
enum<string>
Available options:
true,
false

Response

Paginated transactions

transactions
object[]
pagination
object
Last modified on July 8, 2026